ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
google_maps_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| pre_generation ($Options)
| compile_google_map (&$Settings)

## Data Fields
| $Settings = false
| $String = false

## Detailed Description

Class processes Google.Maps processing routine.

Author
  Dodonov A.A.

Definition at line 26 of file google_maps.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 55 of file google_maps.php.

{
try
{
$this->Settings = get_package_object( 'settings::package_settings' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_google_map | ( | & | $Settings | ) |

Function compiles macro 'google_map'.

Parameters

  $BlockSettings | - Compilation options.

Returns
  HTML code.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 130 of file google_maps.php.

{
try
{
$Settings->set_undefined( 'id' , md5( microtime( true ) ) );
$Settings->set_undefined( 'height' , '300px' );
$Settings->set_undefined( 'width' , '500px' );
$Settings->set_undefined( 'class' , 'google_map' );
$Code = $this->CachedMultyFS->get_template( __FILE__ , 'google_map_frame.tpl' );
return( $this->String->print_record( $Code , $Settings->get_raw_settings() ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

pre_generation | ( |  | $Options | ) |

Function executes before any page generating actions took place.

Parameters

  $Options | - Settings.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 86 of file google_maps.php.

{
try
{
$PageJS = get_package( 'page::page_js' , 'last' , __FILE__ );
$Path = _get_package_relative_path_ex( 'maps::google_maps' , '1.0.0' );
$PageJS->add_javascript( "{http_host}/$Path/include/js/google_maps.js" );
$Key = $this->Settings->get_package_setting(
'maps::google_maps' , '1.0.0::1.0.0' , 'cf_google_maps' , 'google_maps_api_key'
);
$URL = 'http://maps.google.com/maps?file=api&amp;v=2&amp;sensor=true&amp;key='.$Key;
$PageJS->add_javascript( $URL , false );
}
catch( Exception $e )
{
$Args = func_get_args();throw( _get_exception_object( __METHOD__ , $Args , $e ) );
}
}

## Field Documentation

$Settings = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file google_maps.php.

$String = false

Definition at line 39 of file google_maps.php.

The documentation for this class was generated from the following file:

- packages/maps/packages/google_maps/google_maps.php